- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FaceEnumerator Class Reference

This reference page is linked to from the following overview topics: Sculpting and Brushes.

Search for all occurrences

## Detailed Description

FaceEnumerator is a base class for operations that must be applied across mesh faces.

To use this class, derive a new enumerator from it. Override the Operator() method to perform the operation you need done to the mesh face. You must also override the Tester() method to test faces to see if they should be included in the operation.

To use your class, call Mesh::EnumerateFaces, specify a starting face, and pass in your enumerator class. Starting with the specified face, your operation will be applied to adjacent faces. If your Tester method returns false for a given face, then that face will not be processed, nor will the operation be propagated to its neighbors.

Definition at line 179 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Member Functions
virtual void | Operator (class Mesh *pMesh, unsigned int iFaceIndex)
| Override this method to make it perform your desired operation on a face.
virtual bool | Tester (class Mesh *pMesh, unsigned int iFaceIndex)
| Override this method to check a face to see if it should be included in the enumeration.

## Member Function Documentation

virtual void Operator | ( | class Mesh * | pMesh,
|  | unsigned int | iFaceIndex
| ) |  | `[virtual]`

Search for all occurrences

Override this method to make it perform your desired operation on a face.

Parameters:

  [in] | pMesh | pointer to the mesh being processed
  [in] | iFaceIndex | index of the face to be processed

virtual bool Tester | ( | class Mesh * | pMesh,
|  | unsigned int | iFaceIndex
| ) |  | `[virtual]`

Search for all occurrences

Override this method to check a face to see if it should be included in the enumeration.

Return true if it should; false otherwise

Parameters:

  [in] | pMesh | pointer to the mesh being processed
  [in] | iFaceIndex | index of the face to be processed

The documentation for this class was generated from the following file:

- Mudbox/mesh.h

FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator
FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator FaceEnumerator